> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account numbers by account per member

> This endpoint returns a list of account numbers associated with the specified `account`.

Use this endpoint when you identify the account by the `id` you defined: looking up an account by its `id` requires the `member` it belongs to.




## OpenAPI

````yaml /openapi/platform-api/v20260929.yaml get /users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/account_numbers
openapi: 3.1.0
info:
  contact:
    name: Platform API v20260929
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.


    ## Version Header

    Versions are set in the `Accept-Version` header of API requests. Version
    numbers correspond with the date associated with that version. The example
    below uses the version `v20260929`.


    ```

    -H 'Accept: application/json'

    -H 'Accept-Version: v20260929'

    ```


    ---
  title: Platform API 2026
  version: '2026'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
    description: Authorization endpoints.
  - name: accounts
    description: >
      The Accounts endpoints represent a user's checking, savings, mortgage,
      401(k), or other types of accounts held by a financial institution.


      An account belongs to a `member`, which represents the user's overall
      relationship with a particular financial institution. A checking account
      may be just one part of a larger relationship that could also include a
      car loan and a savings account.


      Accounts—and the transactions associated with them—are updated every 24
      hours, unless the associated `user` is disabled.


      You can also create manual accounts. Since a manual account has no
      credentials tied to the member, the account will never aggregate or
      include data from a data feed. All manual accounts are automatically
      created under the Manual Institution member.
  - name: ach return
    description: >
      The features documented here are in a beta state, and this documentation
      is considered draft material subject to frequent change.


      Using our Platform API, you can securely submit ACH Returns to reduce your
      ACH return rates and automate your ACH return process.


      You can query the status and outcomes of your submitted ACH returns to
      track progress and access resolution details.
  - name: budgets
    description: >
      Use these endpoints to create and manage budgets for your end users.


      You can create a budget for a specific category or autogenerate a budget
      for several categories based on existing transactions.


      Each budget has a `category_guid`, relating to one of the
      [categories](/api-reference/platform-api/v20260929/reference/categories#default-categories-and-subcategories).
  - name: categories
    description: >
      A `transaction` can have its `category` set to one of MX’s default
      categories or a custom category for a specific `user`. 


      See [Default Categories and
      Subcategories](/api-reference/platform-api/v20260929/reference/categories#default-categories-and-subcategories)
      for a complete list.
  - name: data exchange
    description: >
      Data Exchange provides a secure mechanism for MX clients to share
      financial data with authorized service providers, external partners, and
      vendors. Access is controlled through client grants, which define the
      scope of data an MX client (issuer) makes available to one or more
      grantees.
                                                                                                                                                                                                                                         
      Each data exchange request requires both standard Platform API
      authentication and a valid token passed in the `MX-3DX-TOKEN` request
      header.
  - name: deprecated
    description: Deprecated endpoints.
  - name: goals
    description: >
      Use these endpoints to create and manage goals for a `user`. You can also
      reposition goals to adjust their priority levels.


      Every goal has a track type and a meta type.


      The track type (`track_type_name`) is the overall classification of the
      goal (debt, savings, retirement, or emergency fund) while the meta type
      (`meta_type_name`) is the specific classification (like college, house,
      vacation, and so on).
  - name: insights
    description: >
      Use these endpoints to build customizable user experiences in UIs powered
      by our Financial Insights data.


      With Financial Insights, your users will receive personalized insights
      based on their transaction history.


      Want to learn more about the product? See [Financial
      Insights](/products/experience/insights).


      Looking for a guide to use these endpoints? See [Build Your Own Insights
      UI](/products/experience/insights/integration-guides/insights-api-guide).
  - name: institutions
    description: >
      Institutions represent a financial institution.


      A single real-world financial institution may have several `institution`
      objects on the MX platform.


      For example, the mortgage division of a financial institution might use a
      separate system than its everyday banking division, which is different
      from its credit card division.


      For more info, see [Institutions
      Overview](/api-reference/platform-api/v20260929/reference/institutions).
  - name: investment holdings
    description: >
      Investment Data Enhancement lets you connect to an end user's financial
      institution and retrieve cleansed and enhanced investment data. By
      combining investment data with retail banking information, you get
      comprehensive insights into customer financial behaviors, risk tolerance,
      and investment strategies.


      You can [read a user's
      holding](/api-reference/platform-api/v20260929/reference/investment-holdings/read-holding),
      [list all their
      holdings](/api-reference/platform-api/v20260929/reference/investment-holdings/list-holdings-by-user),
      or list their holdings by
      [account](/api-reference/platform-api/v20260929/reference/investment-holdings/list-holdings-by-account)
      or
      [member](/api-reference/platform-api/v20260929/reference/investment-holdings/list-holdings-by-member).


      You can also [deactivate a
      user](/api-reference/platform-api/v20260929/reference/investment-holdings/deactivate-user-from-investment-holdings)
      from the Investment Data Enhancement. This is non-billable.
  - name: members
    description: >
      Members represent the connection between an end user and a financial
      institution. This institution may represent your institution or another
      one from which MX is aggregating data.


      For more info, see [Members
      Overview](/api-reference/platform-api/v20260929/reference/members).
  - name: merchants
    description: >
      Merchants are representations of a transaction’s origin. For example, if
      you buy a coffee at Starbucks, the transaction merchant will be
      `Starbucks`.


      Use the `merchant_guid` and a `merchant_location_guidon` any `transaction`
      object to access Merchant endpoints for details like the merchant’s name,
      logo URL, website, street address, and more.
  - name: microdeposits
    description: >
      Microdeposits is an additional verification method that allows you to
      verify account details and navigate the process of using microdeposits and
      the automated clearing house (ACH) system. 


      Make two, small ACH deposits into a consumer's account using the provided
      account and routing number. You can then require that the end user confirm
      the exact amount of each deposit to verify that they own the account and
      meet NACHA’s account verification.


      For more info, including process flows, setting block lists, and more, see
      [Microdeposits](/products/connectivity/microdeposits).
  - name: identity_match
    description: >
      Verify user identity by comparing personal information with account owner
      data from connected financial accounts.
  - name: monthly cash flow profile
    description: Use these endpoints to read and update a user's monthly cash flow profile.
  - name: notifications
    description: >
      You can only use notifications endpoints if you’re using the MX mobile
      application.


      All notifications created through the API will be of notification type
      `API_NOTIFICATION`, channel `PUSH`, and will not be associated to an
      entity. No other channels are supported.


      The read and list endpoints can return any notification associated with
      the `user`, including notifications created by MX for other channels
      besides `PUSH`.
  - name: processor token
    description: >-
      Endpoints for processor partners: request authorization codes and tokens,
      and read account numbers, balances, and account owner information for a
      user's accounts.
  - name: rewards
    description: >-
      Use these endpoints to aggregate, list, and read a user's rewards, and to
      read credit card products.
  - name: spending plan
    description: >
      Use the Spending Plan endpoints to create your own version of our
      [Spending Plan
      Widget](/products/experience/pfm/legacy-widget-overviews/spending-plan),
      which helps end users track their spending throughout the month.


      To understand key terms and how to best use these endpoints, see [Build
      Your Own Spending Plan
      UI](/products/experience/pfm/integration-guides/build-your-own-spending-plan-ui).
  - name: statements
    description: >
      With Statements, you can retrieve a user's monthly account statements in
      PDF format. This data can be used for solutions like personal financial
      management or risk analysis.
  - name: taggings
    description: >
      Tags and taggings are two resources in the MX Platform API that, when used
      together, give end users more control over organizing their transactions. 


      A tag is a custom label that can be applied to a transaction.


      After you create a tag, use it for tagging. This means you should actually
      apply the tag to a particular transaction.


      Together, they're a powerful tool for personalization, customization, and
      money management.


      For a guide on creating a tag and then applying it to a specific
      transaction with a tagging, see [Custom Tags and
      Taggings](/products/experience/pfm/integration-guides/personalization/).
  - name: tags
    description: >
      Tags and taggings are two resources in the MX Platform API that, when used
      together, give end users more control over organizing their transactions. 


      A tag is a custom label that can be applied to a transaction.


      After you create a tag, use it for tagging. This means you should actually
      apply the tag to a particular transaction.


      Together, they're a powerful tool for personalization, customization, and
      money management.


      For a guide on creating a tag and then applying it to a specific
      transaction with a tagging, see [Custom Tags and
      Taggings](/products/experience/pfm/integration-guides/personalization/).
  - name: transaction rules
    description: >
      Transaction Rules allow users to automatically recategorize or rename all
      similar transactions according to their preferences. This only applies to
      future transactions.


      When recategorizing or renaming a transaction, the user will be asked
      whether they want the new data to apply to the selected transaction or to
      all future transactions. If they choose to apply it to all future
      transactions, it will create a transaction rule which will automatically
      apply the changes going forward.
  - name: transactions
    description: >
      Transactions represent any instance in which money moves into or out of an
      account. This could be a purchase at a business, a payroll deposit, a
      transfer from one account to another, an ATM withdrawal, and so on.


      Transactions are created automatically when a member is successfully
      aggregated.


      Each `transaction` belongs to only one `account`.


      For more info, see [Transactions
      Overview](/api-reference/platform-api/v20260929/reference/transactions).
  - name: users
    description: >
      Users represent an end user using the Platform API through your web or
      mobile app.


      Users are created by MX clients and belong to a specific
      [client](/products/connectivity/overview/data-architecture#resources) on
      the platform.
  - name: verifiable credentials
    description: >
      MX provides Verifiable Credential endpoints that comply with web5
      standards. 


      For more info, see [Verifiable Credentials
      Overview](/api-reference/platform-api/v20260929/reference/verifiable-credentials).
  - name: widgets
    description: >
      Use the [Request Widget
      URL](/api-reference/platform-api/v20260929/reference/widgets/request-widget-url)
      endpoint to generate a URL that loads one of our widgets.


      Many request body parameters only work for some widgets.


      For more info, including widget types, see [Widgets
      Overview](/api-reference/platform-api/v20260929/reference/widgets).
paths:
  /users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/account_numbers:
    get:
      tags:
        - accounts
      summary: List account numbers by account per member
      description: >
        This endpoint returns a list of account numbers associated with the
        specified `account`.


        Use this endpoint when you identify the account by the `id` you defined:
        looking up an account by its `id` requires the `member` it belongs to.
      operationId: listAccountNumbersByAccountPerMember
      parameters:
        - $ref: '#/components/parameters/acceptVersionV20260929'
        - $ref: '#/components/parameters/userIdentifier'
        - $ref: '#/components/parameters/memberIdentifier'
        - $ref: '#/components/parameters/accountIdentifier'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/recordsPerPageMax1000'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountNumberListResponse'
          description: OK
components:
  parameters:
    acceptVersionV20260929:
      name: Accept-Version
      in: header
      required: true
      description: MX Platform API version.
      schema:
        type: string
        default: v20260929
        example: v20260929
    userIdentifier:
      description: >-
        Use either the user `id` you defined or the MX-defined user `guid`. See
        [Assigning Resource
        IDs](/products/connectivity/overview/held-data#assigning-resource-ids).
      in: path
      required: true
      name: user_identifier
      schema:
        type: string
    memberIdentifier:
      description: >-
        Use either the member `id` you defined or the MX-defined member `guid`.
        See [Assigning Resource
        IDs](/products/connectivity/overview/held-data#assigning-resource-ids).
      name: member_identifier
      in: path
      required: true
      schema:
        type: string
    accountIdentifier:
      description: >-
        Use either the account `id` you defined or the MX-defined account
        `guid`. See [Assigning Resource
        IDs](/products/connectivity/overview/held-data#assigning-resource-ids).
      in: path
      required: true
      name: account_identifier
      schema:
        type: string
    page:
      description: Results are paginated. Specify current page.
      example: 1
      in: query
      name: page
      schema:
        type: integer
    recordsPerPageMax1000:
      description: >-
        This specifies the number of records to be returned on each page.
        Defaults to `25`. The valid range is from `10` to `1000`. If the value
        exceeds `1000`, the default value of `25` will be used instead.
      example: 10
      in: query
      name: records_per_page
      schema:
        type: integer
  schemas:
    AccountNumberListResponse:
      properties:
        account_numbers:
          items:
            $ref: '#/components/schemas/AccountNumberV20260929'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
      required:
        - account_numbers
        - pagination
      additionalProperties: false
    AccountNumberV20260929:
      allOf:
        - $ref: '#/components/schemas/AccountNumberBaseV20260929'
        - type: object
          required:
            - details
          properties:
            details:
              $ref: '#/components/schemas/AccountNumberDetailsV20260929'
            account:
              $ref: '#/components/schemas/AccountBaseV20260929'
              unevaluatedProperties: false
            member:
              $ref: '#/components/schemas/MemberBaseV20260929'
              unevaluatedProperties: false
            user:
              $ref: '#/components/schemas/UserBaseV20260929'
              unevaluatedProperties: false
            mx_record:
              $ref: '#/components/schemas/MxRecordBaseV20260929'
              unevaluatedProperties: false
      type: object
      unevaluatedProperties: false
    Pagination:
      additionalProperties: false
      required:
        - current_page
        - per_page
        - total_entries
        - total_pages
      properties:
        current_page:
          example: 1
          type: integer
        per_page:
          example: 25
          type: integer
        total_entries:
          example: 1
          type: integer
        total_pages:
          example: 1
          type: integer
      type: object
    AccountNumberBaseV20260929:
      properties:
        guid:
          description: Unique identifier for the account number. Defined by MX.
          example: ACN-8899832e-e5b4-42cd-aa25-bbf1dc889a8f
          type:
            - string
            - 'null'
        ach:
          oneOf:
            - $ref: '#/components/schemas/AccountNumberAchV20260929'
            - type: 'null'
        eft:
          oneOf:
            - $ref: '#/components/schemas/AccountNumberEftV20260929'
            - type: 'null'
      type: object
      required:
        - guid
        - ach
        - eft
    AccountNumberDetailsV20260929:
      description: Additional details about the account number.
      type: object
      properties:
        loan_guarantor:
          description: The guarantor of the student loan.
          example: U.S. DEPARTMENT OF EDUCATION (123456)
          type:
            - string
            - 'null'
        loan_reference_number:
          description: The reference number for the student loan.
          example: '123456789012345'
          type:
            - string
            - 'null'
        passed_validation:
          description: Indicates whether the account number has passed validation.
          example: true
          type:
            - boolean
            - 'null'
      required:
        - loan_guarantor
        - loan_reference_number
        - passed_validation
      additionalProperties: false
    AccountBaseV20260929:
      properties:
        account_number_display:
          description: >-
            The account number associated with the account. This will typically
            be a masked or partial account number.
          example: '3331261'
          type:
            - string
            - 'null'
        current_balance:
          description: The current balance of the account.
          example: 1000
          type:
            - number
            - 'null'
        subtype:
          description: >-
            The account's subtype, for example, `PLAN_401_K`, `MONEY_MARKET`, or
            `HOME_EQUITY`. Each subtype belongs to an account `type`. For a full
            list of account subtypes and types, see
            [Accounts](/api-reference/platform-api/v20260929/reference/accounts#account-types).
          example: CHECKING
          type:
            - string
            - 'null'
        type:
          description: >-
            The type of account. Some account types may include subtypes. For a
            full list of account types and subtypes, see [Account
            Types](/api-reference/platform-api/v20260929/reference/accounts#account-types).
          example: CHECKING
          type:
            - string
            - 'null'
          enum:
            - ANY
            - CASH
            - CHECKING
            - CHECKING_LINE_OF_CREDIT
            - CREDIT_CARD
            - DIGITAL_WALLET
            - LOAN
            - LINE_OF_CREDIT
            - SAVINGS
            - INVESTMENT
            - MORTGAGE
            - INSURANCE
            - PREPAID
            - PROPERTY
            - null
        guid:
          description: Unique identifier for the account. Defined by MX.
          example: ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1
          type:
            - string
            - 'null'
        id:
          description: The unique partner-defined identifier for the account.
          example: '1040434698'
          type:
            - string
            - 'null'
        name:
          description: The human-readable name for the `account`.
          example: Test account 2
          type:
            - string
            - 'null'
        nickname:
          description: An alternate name for the `account`.
          example: Swiss Account
          type:
            - string
            - 'null'
        self:
          description: The API URI path for the account.
          example: >-
            /users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/accounts/ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1
          type: string
        metadata:
          description: >-
            Additional information about the account, as a stringified JSON
            object.
          example: some metadata
          type:
            - string
            - 'null'
      type: object
      description: >-
        The base fields for an account. Returned as the `account` companion on
        related resources such as transactions, statements, and rewards, and as
        the foundation of full account responses.
      required:
        - account_number_display
        - subtype
        - type
        - guid
        - id
        - name
        - nickname
        - self
        - current_balance
        - metadata
    MemberBaseV20260929:
      properties:
        guid:
          description: The unique identifier for the member. Defined by MX.
          example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          type: string
        id:
          description: The unique partner-defined identifier for the member.
          example: unique_id
          type:
            - string
            - 'null'
        metadata:
          description: Additional information you can store about the member.
          example: some metadata
          type:
            - string
            - 'null'
        name:
          description: The name of the member.
          example: MX Bank
          type:
            - string
            - 'null'
        self:
          description: The API URI path for the member.
          example: >-
            /users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c/members/MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          type: string
      description: >-
        The base fields for a member, which is a user's connection to an
        institution. Returned as the `member` companion on related resources
        such as accounts and transactions, and as the foundation of full member
        responses.
      required:
        - guid
        - id
        - metadata
        - name
        - self
    UserBaseV20260929:
      properties:
        guid:
          description: The unique identifier for the user. Defined by MX.
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
          type: string
        id:
          description: The unique partner-defined identifier for the user.
          example: unique_id
          type:
            - string
            - 'null'
        metadata:
          description: Additional information you can store about the user.
          example: some metadata
          type:
            - string
            - 'null'
        self:
          description: The API URI path for the `user`.
          example: /users/USR-11141024-90b3-1bce-cac9-c06ced52ab4c
          type: string
      description: >-
        The base fields for a user. Returned as the `user` companion on related
        resources such as members, accounts, and transactions, and as the
        foundation of full user responses.
      required:
        - guid
        - id
        - metadata
        - self
    MxRecordBaseV20260929:
      properties:
        created_at:
          description: >-
            The date and time the resource was created in MX Platform,
            represented in ISO 8601 format with a timestamp.
          example: '2025-05-10T18:08:00Z'
          type:
            - string
            - 'null'
        updated_at:
          description: >
            The date and time the resource was last updated in MX Platform,
            represented in ISO 8601 format with a timestamp.


            For categories, this field will always be `null` when `is_default`
            is `true`.
          example: '2026-02-12T22:48:21Z'
          type:
            - string
            - 'null'
      description: >-
        Timestamps for when MX created and last updated the record. Returned as
        the `mx_record` companion on all resources persisted by MX. These
        describe the MX record, not the underlying resource at the institution.
      required:
        - created_at
        - updated_at
    AccountNumberAchV20260929:
      properties:
        account_number:
          description: >-
            The account number associated with the account. This will typically
            be a masked or partial account number.
          example: '3331261'
          type:
            - string
            - 'null'
        routing_number:
          description: The routing number for the `account`.
          example: '68899990000000'
          type:
            - string
            - 'null'
      type: object
      required:
        - account_number
        - routing_number
      additionalProperties: false
    AccountNumberEftV20260929:
      properties:
        account_number:
          description: The account number associated with the account.
          example: '3331261'
          type:
            - string
            - 'null'
        institution_number:
          description: The three-digit number identifying a Canadian banking institution.
          example: '123'
          type:
            - string
            - 'null'
        transit_number:
          description: >-
            The five-digit number identifying the branch of a Canadian financial
            institution.
          example: '12345'
          type:
            - string
            - 'null'
      type: object
      required:
        - institution_number
        - transit_number
        - account_number
      additionalProperties: false
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
      description: >
        To authenticate with the Platform API, include your Base64-encoded
        `client_id` and `api_key` in the Authorization header of every request:


        ```

        -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

        ```

````